%define oname Latte-Dock

Summary:	Latte is a dock for Plasma 5
Name:		latte-dock
Version:	0.7.1
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://github.com/psifidotos/%{oname}
Source0:	https://github.com/psifidotos/%{oname}/archive/v%{version}.tar.gz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5archive-devel
BuildRequires:	kf5activities-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5declarative-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5package-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5wayland-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-randr)
BuildRequires:	pkgconfig(xcb-util)
BuildRequires:	pkgconfig(sm)
Requires:	plasma5-applet-latte
Requires:	plasma5-applet-latte-separator
Requires:	plasma5-applet-latte-spacer
Requires:	plasma5-containment-latte
Requires:	plasma5-shell-latte

%description
Latte is a dock based on plasma frameworks that provides an elegant and
intuitive experience for your tasks and plasmoids. It animates its contents by
using parabolic zoom effect and tries to be there only when it is needed.

%files -f %{name}.lang
%{_kde5_bindir}/latte-dock
%{_kde5_applicationsdir}/org.kde.latte-dock.desktop
%{_kde5_iconsdir}/hicolor/*/apps/latte-dock.*
%{_kde5_notificationsdir}/lattedock.notifyrc
%{_appdatadir}/org.kde.latte-dock.appdata.xml
%{_datadir}/dbus-1/interfaces/org.kde.LatteDock.xml

#----------------------------------------------------------------------------

%define qmllatte %mklibname latte-qml

%package -n %{qmllatte}
Summary:	QML plugins for Plasma 5 Latte Dock
Group:		System/Libraries
Provides:	latte-qml = %{EVRD}

%description -n %{qmllatte}
QML plugins for Plasma 5 activity switcher.

%files -n %{qmllatte}
%dir %{_kde5_qmldir}/org/kde/latte/
%{_kde5_qmldir}/org/kde/latte/*

#----------------------------------------------------------------------------

%package -n plasma5-applet-latte
Summary:	Plasma 5 Latte Dock plasmoid
Group:		Graphical desktop/KDE
Requires:	latte-qml

%description -n plasma5-applet-latte
Plasma 5 Latte Dock plasmoid.

%files -n plasma5-applet-latte -f plasma_applet_org.kde.latte.plasmoid.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.latte.plasmoid/
%{_kde5_datadir}/plasma/plasmoids/org.kde.latte.plasmoid/*
%{_kde5_iconsdir}/breeze/applets/*/org.kde.latte.plasmoid.*
%{_kde5_services}/plasma-applet-org.kde.latte.plasmoid.desktop
%{_appdatadir}/org.kde.latte.plasmoid.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-latte-separator
Summary:	Plasma 5 Latte Dock separator plasmoid
Group:		Graphical desktop/KDE
Requires:	latte-qml

%description -n plasma5-applet-latte-separator
Plasma 5 Latte Dock separator plasmoid.

%files -n plasma5-applet-latte-separator
%dir %{_kde5_datadir}/plasma/plasmoids/audoban.applet.separator/
%{_kde5_datadir}/plasma/plasmoids/audoban.applet.separator/*
%{_kde5_services}/plasma-applet-audoban.applet.separator.desktop
%{_appdatadir}/audoban.applet.separator.appdata.xml

#----------------------------------------------------------------------------

%package -n plasma5-applet-latte-spacer
Summary:	Plasma 5 Latte Dock spacer plasmoid
Group:		Graphical desktop/KDE
Requires:	latte-qml

%description -n plasma5-applet-latte-spacer
Plasma 5 Latte Dock spacer plasmoid.

%files -n plasma5-applet-latte-spacer -f plasma_applet_org.kde.latte.spacer.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.latte.spacer/
%{_kde5_datadir}/plasma/plasmoids/org.kde.latte.spacer/*
%{_kde5_services}/plasma-applet-org.kde.latte.spacer.desktop

#----------------------------------------------------------------------------

%package -n plasma5-containment-latte
Summary:	Plasma 5 Latte Dock containment
Group:		Graphical desktop/KDE
Requires:	latte-qml

%description -n plasma5-containment-latte
Plasma 5 Latte Dock containment.

%files -n plasma5-containment-latte -f plasma_applet_org.kde.latte.containment.lang
%dir %{_kde5_datadir}/plasma/plasmoids/org.kde.latte.containment/
%{_kde5_datadir}/plasma/plasmoids/org.kde.latte.containment/*
%{_kde5_services}/plasma-applet-org.kde.latte.containment.desktop

#----------------------------------------------------------------------------

%package -n plasma5-shell-latte
Summary:	Plasma 5 Latte Dock shell
Group:		Graphical desktop/KDE
Requires:	latte-qml

%description -n plasma5-shell-latte
Plasma 5 Latte Dock shell.

%files -n plasma5-shell-latte
%dir %{_kde5_datadir}/plasma/shells/org.kde.latte.shell/
%{_kde5_datadir}/plasma/shells/org.kde.latte.shell/*
%{_kde5_services}/plasma-shell-org.kde.latte.shell.desktop
%{_appdatadir}/org.kde.latte.shell.appdata.xml

#--------------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name}
%find_lang plasma_applet_org.kde.latte.containment
%find_lang plasma_applet_org.kde.latte.plasmoid
%find_lang plasma_applet_org.kde.latte.spacer


%changelog

* Mon Oct 30 2017 Rosa <rosa@abf.rosalinux.ru> 0.7.1-1
- (9450141) Automatic import for version 0.7.1-1


